package com.lsw.captcha;

import android.os.Handler;
import android.os.Message;
import android.webkit.JavascriptInterface;

public class LSJavaScriptInterface {
    private LSJavaScriptCallBackI callBackI;

    private Handler handler;
    //
    LSJavaScriptInterface(LSJavaScriptCallBackI callBackI){
        this.callBackI=callBackI;
        handler=new Handler(){
            @Override
            public void handleMessage(Message msg) {
                super.handleMessage(msg);
            }
        };
    }

    /**
     *
     * @return 解析js调用协议
     */
    @JavascriptInterface
    public void jsCallAndroidMethod(final String action,final String param){

        handler.post(new Runnable() {
            @Override
            public void run() {
                callBackI.bridgeResponse(action,param);
            }
        });

    }
}
