//
//  NSObject+LSNativeBradgeAction.h
//  LSBuyer
//
//  Created by Li Zhiyu on 16/6/17.
//  Copyright © 2016年 lianshang. All rights reserved.
//

#import <Foundation/Foundation.h>
//#import "LSShareBgView.h"
#import <UIKit/UIKit.h>

typedef void (^NativeCallJSResponse)(NSString * _Null_unspecified response);

@interface UIView (LSNativeBradgeAction)


#pragma -mark 解析交互action和参数
-(BOOL)nativeAction:(NSString* __nonnull)action param:(NSString* __nonnull)param;

#pragma -mark 调用function并传入参数
-(void)callJSFunction:(NSString* __nonnull)function param:(NSString* __nonnull)param;

#pragma -mark js调用native  native响应给js
-(void)callJSResponseAction:(NSString* __nonnull)action param:(NSString* __nonnull)param responseBlock:(NativeCallJSResponse _Null_unspecified)responseBlock;

#pragma -mark 调用JS方法如  test('aa');
-(void)callFunction:(NSString* __nonnull)function responseBlock:(NativeCallJSResponse _Null_unspecified)responseBlock;

- (UIViewController * __nonnull)findViewController;


@end
